utl::meta::replace_if_impl::replace_if_< typelist< Head, Tail... >, Fn, T, Ret > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = if_< invoke_t< Fn, Head >, eval< replace_if_< typelist< Tail... >, Fn, T, cat< Ret, typelist< T > >> >, eval< replace_if_< typelist< Tail... >, Fn, T, cat< Ret, typelist< Head > >> > >

## Detailed Description

### template<typename Head, typename... Tail, typename Fn, typename T, typename Ret>
struct utl::meta::replace_if_impl::replace_if_< typelist< Head, Tail... >, Fn, T, Ret >

Definition at line 810 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Head , typename... Tail, typename Fn , typename T , typename Ret >

using utl::meta::replace_if_impl::replace_if_< typelist< Head, Tail... >, Fn, T, Ret >::type = if_ < invoke_t<Fn, Head>, eval<replace_if_<typelist<Tail...>, Fn, T, cat<Ret, typelist<T> >> >, eval<replace_if_<typelist<Tail...>, Fn, T, cat<Ret, typelist<Head> >> > >

Definition at line 817 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h